# Class ColorManager

java.lang.Object
org.jmol.viewer.ColorManager

public class ColorManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`ColorEncoder`
`ce`
`short`
`colixBackgroundContrast`
`short`
`colixRubberband`

## Method Summary

Modifier and Type
Method
Description
`short`
`getColixAtomPalette(Atom atom, byte pid)`
`short`
`getColixBondPalette(Bond bond, int pid)`
`ColorEncoder`
`getColorEncoder(String colorScheme)`
`String`
`getColorSchemeList(String colorScheme)`
`short`
`getElementColix(int elemNo)`
`void`
`setElementArgb(int elemNo, int argb)`
`void`
`setPropertyColorRange(float min, float max)`
`void`
`setPropertyColorRangeData(float[] data, BS bs)`
`void`
`setRubberbandArgb(int argb)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ce

public ColorEncoder ce

### colixRubberband

public short colixRubberband

### colixBackgroundContrast

public short colixBackgroundContrast

## Method Details

### setRubberbandArgb

public void setRubberbandArgb(int argb)

### getColixBondPalette

public short getColixBondPalette(Bond bond, int pid)

### getColixAtomPalette

public short getColixAtomPalette(Atom atom, byte pid)

### getElementColix

public short getElementColix(int elemNo)

### setElementArgb

public void setElementArgb(int elemNo, int argb)

### setPropertyColorRangeData

public void setPropertyColorRangeData(float[] data, BS bs)

### setPropertyColorRange

public void setPropertyColorRange(float min, float max)

### getColorSchemeList

public String getColorSchemeList(String colorScheme)

### getColorEncoder

public ColorEncoder getColorEncoder(String colorScheme)